Last Comment Bug 1329017 - Enable the no-useless-return rule for eslint
: Enable the no-useless-return rule for eslint
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: General (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: mozilla53
Assigned To: Jared Wein [:jaws] (please needinfo? me)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-05 14:06 PST by Jared Wein [:jaws] (please needinfo? me)
Modified: 2017-01-07 19:15 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1329017 - Enable the no-useless-return rule for eslint and use eslint --fix to autofix the errors. (59 bytes, text/x-review-board-request)
2017-01-05 14:12 PST, Jared Wein [:jaws] (please needinfo? me)
standard8: review+
Details | Review

Description User image Jared Wein [:jaws] (please needinfo? me) 2017-01-05 14:06:32 PST
There are 47 errors found with this rule enabled. eslint provides a --fix option to autofix these errors. I have manually inspected the fixes to make sure that they are correct.
Comment 1 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-05 14:12:33 PST Comment hidden (mozreview-request)
Comment 2 User image Mark Banner (:standard8) 2017-01-06 07:50:00 PST
Comment on attachment 8824230 [details]
Bug 1329017 - Enable the no-useless-return rule for eslint and use eslint --fix to autofix the errors.

https://reviewboard.mozilla.org/r/102750/#review103452

Yay, another of my favourite rules enabled :-) 

Thanks
Comment 3 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-06 12:04:51 PST Comment hidden (mozreview-request)
Comment 4 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-07 13:36:28 PST Comment hidden (mozreview-request)
Comment 5 User image Pulsebot 2017-01-07 13:37:32 PST
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/72e93073be64
Enable the no-useless-return rule for eslint and use eslint --fix to autofix the errors. r=standard8
Comment 6 User image Ryan VanderMeulen [:RyanVM] 2017-01-07 19:15:51 PST
https://hg.mozilla.org/mozilla-central/rev/72e93073be64

Note You need to log in before you can comment on or make changes to this bug.